//@ts-ignore
import { MouseMode } from '@grapecity/viewer-core';
//@ts-ignore
import React, { Component } from 'react';
import GcPdfViewer from '..';
import { FloatingBarModel, FloatingBarProps } from './types';
export declare class FloatingBar extends Component<FloatingBarProps, FloatingBarModel> {
    private _mounted;
    private _viewer;
    constructor(props: FloatingBarProps, state: FloatingBarModel);
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate(): void;
//@ts-ignore
//@ts-ignore
    render(): React.JSX.Element;
    onSetMouseMode(mouseMode: MouseMode): void;
    get isMounted(): boolean;
    /**
     * Show floating bar.
     **/
    show(viewer: GcPdfViewer): void;
    /**
     * Hide floating bar.
     **/
    hide(): void;
}
